function relax2
global lam

tmax=1;
lam=30;
ep=1/lam;

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
subaxis(1,1,1,1,'MT',0.01,'MB',0.18,'MR',-0.02,'ML',0.03,'P',0.04)

na=200;
t1=1-log(sqrt(3))
t2=t1+ep^(4/3)*2.338
%t0=2/3+2.338*ep^(2/3);
ta=linspace(t2-0.2,t2+0.2,na);
yold=1;
%A0=-3/4;
A0=-1/2;
for i=1:na
	tt=(ta(i)-t2)/ep^2;
	ff=exp(-3*(tt+A0)-1);
	q=fzero(@(x)x*exp(x)-ff,yold);
	ya(i)=(-2+q)/(1+q);
	yold=ya(i);
end

y10=sqrt(3); y20=0;
y0=[y10 y20];
% calculate solution using a MATLAB routine
options = odeset('RelTol', 1e-6,'AbsTol',1e-6);
[t,y] = ode45(@rhs,[0 tmax],y0,options);

hold on

plot(t,y(:,1),'--r','LineWidth',1.8)
plot(ta,ya,'b','LineWidth',1)
%plot(ts,ys,':','LineWidth',2)

na=200;
tau1=1-log(sqrt(3));
tau=linspace(tau1-0.1,t2-0.005

,na);
for i=1:na
    tauC(i)=(tau(i)-tau1)/ep^(4/3);
	yC(i)=1-ep^(2/3)*airy(1,-tauC(i))/airy(-tauC(i));
end
plot(tau,yC,'color',[0 0.5 0],'LineWidth',1.5)

axis([0.4 0.55 -2.4 2])

% commands to label each axes
xlabel('t-axis','FontSize',12,'FontWeight','bold')
ylabel('y','FontSize',12,'FontWeight','bold')
grid on

%set(gca,'XTickLabel',{'0.66';'0.67';'0.68';'0.69';'0.7'})

% command to put legend into plot
loc='SouthWest';
legend(' Numerical',' Interior Layer',' Bifurcation Point','Location',loc);

% have MATLAB use certain plot options (all are optional)
box on
% Set the fontsize to 12 for the plot
set(gca,'FontSize',12); 
% Set legend font to 12/bold                            		
set(findobj(gcf,'tag','legend'),'FontSize',12,'FontWeight','bold'); 

hold off

%  define f(t,y)
function dy=rhs(t,y)
global lam
dy=zeros(2,1);
dy(1) = lam^2*(y(1)*(1-y(1)^2/3)-y(2));
dy(2) = y(1);










